package domain

type AlibabaWdkMarketingFullrangeQueryitemItemPoolSku struct {
	/*
	   商品名称     */
	SkuName *string `json:"sku_name,omitempty" `

	/*
	   商品skucode     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   换购价格     */
	ExchangePrice *int64 `json:"exchange_price,omitempty" `

	/*
	   换购限量     */
	ExchangeTotalLimit *int64 `json:"exchange_total_limit,omitempty" `

	/*
	   该商品每单可换购最大数     */
	ExchangeOrderLimit *int64 `json:"exchange_order_limit,omitempty" `
}

func (s *AlibabaWdkMarketingFullrangeQueryitemItemPoolSku) SetSkuName(v string) *AlibabaWdkMarketingFullrangeQueryitemItemPoolSku {
	s.SkuName = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryitemItemPoolSku) SetSkuCode(v string) *AlibabaWdkMarketingFullrangeQueryitemItemPoolSku {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryitemItemPoolSku) SetExchangePrice(v int64) *AlibabaWdkMarketingFullrangeQueryitemItemPoolSku {
	s.ExchangePrice = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryitemItemPoolSku) SetExchangeTotalLimit(v int64) *AlibabaWdkMarketingFullrangeQueryitemItemPoolSku {
	s.ExchangeTotalLimit = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryitemItemPoolSku) SetExchangeOrderLimit(v int64) *AlibabaWdkMarketingFullrangeQueryitemItemPoolSku {
	s.ExchangeOrderLimit = &v
	return s
}
